Subject: Re: Multiple cygwin installs: I have to do it, but how?
From: [email-masked]
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Oct 2001 14:41:11 -0700

OK, then hang complete Cygwin Registry trees under the root key for the
specific install, as I had initially suggested in my prior post.  The
details don't matter, since there is no implementation.  Global access is
needed, no matter if the Registry is used or not.  Still, not everything
needs to go in the Registry: Only the minimum needed to uniquely
distinguish multiple installations, and to allow them to function properly.
Everything else should go in files within the specific Cygwin installation.
That's all.

Remember, each user gets their own view of the registry
(HKEY_CURRRENT_USER).  The Cygwin installer (setup.exe) allows you to
specify if an installation is for "just me" or for "all", which in turn
determines the area of the registry into which the Cygwin keys are placed.
That policy would not have to change.  We simply would need to manage them
appropriately.

Hmmm, what does Cygwin do when both sets of keys exist?  That is, one
installation was done for "just me" and another for "all"?  I suppose
cygwin1.dll would have to check both places, but which is checked first?
If the first exists, is the other ever accessible?  Or are both needed and
used?

-BobC

                                                                                                                    
                    Charles Wilson                                                                                  
                    <[email-masked]        To:     [email-masked]                                    
                    du>                          cc:     [email-masked]                                          
                    Sent by:                     Subject:     Re: Multiple cygwin installs: I have to do it, but    
                    cygwin-owner@sources.        how?                                                               
                    redhat.com                                                                                      

                    10/11/01 02:13 PM                                                                               

[email-masked] wrote:

> Heck, all we need to do is place only the root mount point in the
registry,
> as the name of a key.  Everything else can (and should?) be in files
within
> the associated Cygwin installation, especially including all other mount
> points.

Ummm...what about multiple users with different mount table entries?
Also, have you considered the performance penalties you'd incur by
moving mount table entries to a disk-based file?  (Or you could cache in
memory -- but then how often would you sync the cache with the disk
file?  When?  c.f. mail archives on the many many optimizations
concerning /etc/passwd access)

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/